--DEFUNCT
    --New control.lua behaviour was set up from scratch. This script uses local variables that would, ultimately, with enough trees, lead to unreadable save files
    --(Factorio throws an error: too many local variables (limit is 200)).

    --In the new version, we move away from local variables and instead use exclusively pseudo-random number generation.
    --If a tree is in a specific grow state (say, Sapling stage II), then it doesn't matter if, on reload of the save file, that tree's progress to the next growth
        --is not remembered EXACTLY; if we make it all a little random and based on game.tick, we will not run into problems. :)
--[[

require "util";
require "defines";

--Initialise global variables and catch the case where save files with installations of an older version of the mod are introduced to the new functionality.
script.on_init(function()
  if global.shr == nil then
    global.shr = {};
  end    
        
  if global.shr.growing == nil then
	global.shr.growing = {};
  end
  if global.shr.growthNeededToTree == nil then
    global.shr.growthNeededToTree = {};
  end
  if global.shr.growthNeededToSapling == nil then
    global.shr.growthNeededToSapling = {};
  end
  if global.shr.saplingGrowing == nil then
	global.shr.saplingGrowing = {};
  end
        
end)

script.on_load(function()
  if global.shr == nil then
    global.shr = {};
  end
        
  if global.shr.growing == nil then
	global.shr.growing = {};
  end
  if global.shr.growthNeededToTree == nil then
    global.shr.growthNeededToTree = {};
  end
  if global.shr.growthNeededToSapling == nil then
    global.shr.growthNeededToSapling = {};
  end
  if global.shr.saplingGrowing == nil then
	global.shr.saplingGrowing = {};
  end
        
end)

--When an entity is placed by the player, define the initialised global variables for that item
script.on_event(defines.events.on_built_entity, function(event)        
  if event.created_entity.name == "sapling-budding" then
    global.shr.saplingGrowing[event.created_entity.position] = math.floor(game.tick / 60);  --Define the created item by its position as well as its time of creation, which should, in pairs, be unique.
    for k, v in pairs(global.shr.saplingGrowing) do     --This clumsy hacky way seems the only way to define the variable without getting nil returned as the value...?? Seems wrong
        global.shr.growthNeededToSapling[k] = math.random(global.shr.saplingGrowthMinTime, global.shr.saplingGrowthMaxTime);
    end
  elseif event.created_entity.name == "sapling" then
    global.shr.growing[event.created_entity.position] = math.floor(game.tick / 60);
    for k, v in pairs(global.shr.growing) do
        global.shr.growthNeededToTree[k] = math.random(global.shr.treeGrowthMinTime, global.shr.treeGrowthMaxTime);
    end
  end
end)

--When an entity is placed by a Construction Robot, define the initialised global variables for that item
script.on_event(defines.events.on_robot_built_entity, function(event)        
  if event.created_entity.name == "sapling-budding" then
    global.shr.saplingGrowing[event.created_entity.position] = math.floor(game.tick / 60);
    for k, v in pairs(global.shr.saplingGrowing) do
        global.shr.growthNeededToSapling[k] = math.random(3, 5);
   end
  elseif event.created_entity.name == "sapling" then
    global.shr.growing[event.created_entity.position] = math.floor(game.tick / 60);
    for k, v in pairs(global.shr.growing) do
        global.shr.growthNeededToTree[k] = math.random(2, 4);
    end
  end
end)



script.on_event(defines.events.on_tick, function(event)
  if game.tick % 60 == 0 then            
    --Every second, for each pair of growing entities (as referenced to by their position in the world) and their time of creation within a tick cycle, do...
    for k, v in pairs(global.shr.saplingGrowing) do
      --Check whether the sapling-budding is still there (it has not died or been mined)
      local isAlive = false;
      local entities = game.get_surface(1).find_entities_filtered{area = {{k.x - 0.03, k.y - 0.03}, {k.x + 0.03, k.y + 0.03}}, name = 'sapling-budding'};
      for _, entity in pairs(entities) do   
        isAlive = true;
      end
      
        if isAlive == true then
          game.player.print(global.shr.saplingGrowing[k]);
                    
          global.shr.growthNeededToSapling[k] = global.shr.growthNeededToSapling[k] - 1;

          if global.shr.growthNeededToSapling[k] == 0 then
            local foundsapling = false
            local entitiesToKill = game.get_surface(1).find_entities_filtered{area = {{k.x - 1, k.y - 1}, {k.x + 1, k.y + 1}}, name = 'sapling-budding'} --Also remove nearby sprouts that are rivalling for space
            for _,entity in pairs(entitiesToKill) do
              foundsapling = true;
              global.shr.saplingGrowing[entity.position] = nil;   --kill the growth timers for all deleted entities
              global.shr.growthNeededToSapling[k] = nil;
              entity.destroy()
            end

            if foundsapling then
              local newTree = nil;
              newTree = game.get_surface(1).create_entity({ name='sapling', amount=1, position=k});
              if newTree ~= nil then
                  global.shr.growing[newTree.position] = math.floor(game.tick / 60);
                  for k, v in pairs(global.shr.growing) do
                    global.shr.growthNeededToTree[k] = math.random(2, 4);
                  end
              end
              newTree = nil;
            end
            global.shr.saplingGrowing[k] = nil --This should never happen; it will only fire if the sapling was not found - safety catch
          end
        else  --If the entity has been removed and we don't know it yet,...
          global.shr.saplingGrowing[k] = nil;  --... kill its growth timer.
        end
      
      isAlive = nil;    --Free up memory from local variables.
      foundsapling = nil;
      entitiesToKill = nil;
    
    end

    for k, v in pairs(global.shr.growing) do
      local isAlive = false;
      local entities = game.get_surface(1).find_entities_filtered{area = {{k.x - 0.03, k.y - 0.03}, {k.x + 0.03, k.y + 0.03}}, name = 'sapling'};
      for _, entity in pairs(entities) do   
        isAlive = true;
      end
    
      if isAlive == true then                
          global.shr.growthNeededToTree[k] = global.shr.growthNeededToTree[k] - 1;

          if global.shr.growthNeededToTree[k] == 0 then
            local foundtree = false
            local entitiesToKill = game.get_surface(1).find_entities_filtered{area = {{k.x - .03, k.y - .03}, {k.x + .03, k.y + .03}}, name = 'sapling'}
            for _,entity in pairs(entitiesToKill) do
              foundtree = true;
              global.shr.growthNeededToTree[k] = nil;
              entity.destroy();
            end

            local treetype = math.random(6)
            if treetype == 6 then
              treetype = "tree-02-red"
            else
              treetype = "tree-0".. treetype
            end
            if foundtree then
              game.get_surface(1).create_entity({ name=treetype, amount=1, position=k})
            end
            global.shr.growing[k] = nil
          end
      else
        global.shr.growing[k] = nil;
      end
                
      isAlive = nil;    --Free up memory from local variables.
      foundtree = nil;
      entitiesToKill = nil;

    end
  end
end)