data:extend(
{
  {
    type = "tree",
    name = "dry-young-tree",
    icon = "__TreeSaplings__/graphics/icon_dry-young-tree.png",
    flags = {"placeable-neutral", "placeable-off-grid", "breaths-air"},
    minable =
    {
      count = 1,
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "raw-wood"
    },
    emissions_per_tick = -0.0001,
    max_health = 7,
    collision_box = {{-0.2, -0.4}, {0.2, 0.1}},
    selection_box = {{-0.3, -.75}, {0.3, 0.15}},
    drawing_box = {{-0.3, -.9}, {0.3, 0.15}},
    subgroup = "trees",
    order = "z-Shr-saplingMod-a[tree]-c[dry-tree]",
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    pictures =
    {
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-01-a.png",
        width = 97,
        height= 58,
        shift = {1.125, -0.390625}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-01-b.png",
        width = 78,
        height= 65,
        shift = {0.71094, -0.66406}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-01-c.png",
        width = 57,
        height= 41,
        shift = {0.63281, -0.3828125}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-01-d.png",
        width = 78,
        height= 60,
        shift = {0.484375, -0.59375}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-01-e.png",
        width = 75,
        height= 62,
        shift = {0.765625, -0.625}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-01-f.png",
        width = 89,
        height= 58,
        shift = {0.984375, -0.578125}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-02-a.png",
        width = 74,
        height= 62,
        shift = {0.90625, -0.74219}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-02-b.png",
        width = 84,
        height= 67,
        shift = {0.58594, -0.55469}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-02-c.png",
        width = 87,
        height= 67,
        shift = {0.53906, -0.78125}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-02-d.png",
        width = 108,
        height= 68,
        shift = {1.4375, -0.484375}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-02-e.png",
        width = 79,
        height= 58,
        shift = {1.07031, -0.53906}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-02-f.png",
        width = 90,
        height= 53,
        shift = {1.11719, -0.3671875}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-03-a.png",
        width = 84,
        height= 56,
        shift = {0.390625, -0.57031}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-03-b.png",
        width = 73,
        height= 59,
        shift = {0.4609375, -0.59375}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-03-c.png",
        width = 81,
        height= 58,
        shift = {0.78906, -0.64844}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-03-d.png",
        width = 92,
        height= 61,
        shift = {1.10156, -0.609375}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-03-e.png",
        width = 83,
        height= 61,
        shift = {1.03125, -0.453125}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-03-f.png",
        width = 80,
        height= 52,
        shift = {0.78125, -0.3125}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-04-a.png",
        width = 98,
        height= 70,
        shift = {0.83594, -0.61719}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-04-b.png",
        width = 87,
        height= 69,
        shift = {0.64844, -0.4375}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-04-c.png",
        width = 105,
        height= 68,
        shift = {0.75, -0.82031}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-04-d.png",
        width = 75,
        height= 60,
        shift = {0.78906, -0.66406}
      },
      {
        filename = "__TreeSaplings__/graphics/dry-young-tree/dry-tree-04-e.png",
        width = 87,
        height= 72,
        shift = {0.69531, -0.86719}
      }
    }
  },
  {
    type = "container",
    name = "sapling-budding",
    icon = "__TreeSaplings__/graphics/icon_sapling.png",
    flags = {"placeable-neutral", "placeable-off-grid", "breaths-air", "player-creation"},
    minable =
    {
      mining_particle = "wooden-particle",
      mining_time = 0.1,
      result = "sapling-budding",
      count = 1
    },
    emissions_per_tick = -0.00012,
    subgroup = "trees",
    order = "z-Shr-saplingMod-a",
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.6}, {0.5, 0.6}},
    --drawing_box = {{-0.4, -0.6}, {0.2, 0.4}},
    inventory_size = 0,
    vehicle_impact_sound = { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    picture =
    {
      filename = "__TreeSaplings__/graphics/saplings/sapling-budding.png",
      priority = "extra-high",
      width = 45,
      height = 50,
      frame_count = 1,
      shift = {0, -0.4}
    }
  },
  {
    type = "tree",
    name = "sapling-young",
    icon = "__TreeSaplings__/graphics/icon_sapling-young.png",
    flags = {"placeable-neutral", "placeable-off-grid", "breaths-air"},
    minable =
    {
      mining_particle = "wooden-particle",
      mining_time = 0.25,
      result = "raw-wood",
      count = 1
    },
    emissions_per_tick = -0.00018,
    subgroup = "trees",
    order = "z-Shr-saplingMod-b",
    max_health = 20,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.9, -2.2}, {0.9, 0.6}},
    drawing_box = {{-0.4, -0.6}, {0.2, 0.4}},
    subgroup = "trees",
    vehicle_impact_sound = { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    variations = 
    {
      {
        trunk =
        {
          filename = "__TreeSaplings__/graphics/saplings/trunk-sapling-young.png",
          width = 38,
          height = 71,
          frame_count = 4,
          shift = {0, -0.55}
        },
        leaves =
        {
          filename = "__TreeSaplings__/graphics/saplings/leaves-sapling-young.png",
          width = 45,
          height = 50,
          frame_count = 3,
          shift = {0, -0.70}
        },
      leaf_generation =
      {
        type = "create-particle",
        entity_name = "leaf-particle",
        offset_deviation = {{-0.35, -0.35}, {0.35, 0.35}},
        initial_height = 1,
        initial_height_deviation = 0.5,
        speed_from_center = 0.01
      },
      branch_generation =
      {
        type = "create-particle",
        entity_name = "branch-particle",
        offset_deviation = {{-0.35, -0.35}, {0.35, 0.35}},
        initial_height = 1,
        initial_height_deviation = 1,
        speed_from_center = 0.01,
        frame_speed = 0.1,
        repeat_count = 5
      }
      }
    },
    colors =
    {
      {r = 81, g = 126, b = 85},
      {r = 81, g = 166, b = 89},
      {r = 101, g = 191, b = 110},
      {r = 147, g = 192, b = 39},
      {r = 162, g = 222, b = 19},
      {r = 201, g = 236, b = 116},
      {r = 179, g = 199, b = 12},
      {r = 181, g = 189, b = 114},
      {r = 179, g = 199, b = 12},
      {r = 200, g = 214, b = 83}
    }
  },
  {
    type = "tree",
    name = "sapling",
    icon = "__TreeSaplings__/graphics/icon_sapling.png",
    flags = {"placeable-neutral", "placeable-off-grid", "breaths-air"},
    minable =
    {
      mining_particle = "wooden-particle",
      mining_time = 0.37,
      result = "raw-wood",
      count = 2
    },
    emissions_per_tick = -0.00024,
    subgroup = "trees",
    order = "z-Shr-saplingMod-c",
    max_health = 30,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.9, -2.2}, {0.9, 0.6}},
    drawing_box = {{-0.4, -0.6}, {0.2, 0.4}},
    subgroup = "trees",
    vehicle_impact_sound = { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    variations = 
    {
      {
        trunk =
        {
          filename = "__TreeSaplings__/graphics/saplings/trunk-sapling.png",
          width = 38,
          height = 71,
          frame_count = 4,
          shift = {0, -0.55}
        },
        leaves =
        {
          filename = "__TreeSaplings__/graphics/saplings/leaves-sapling.png",
          width = 45,
          height = 50,
          frame_count = 3,
          shift = {0, -0.90}
        },
      leaf_generation =
      {
        type = "create-particle",
        entity_name = "leaf-particle",
        offset_deviation = {{-0.35, -0.35}, {0.35, 0.35}},
        initial_height = 1,
        initial_height_deviation = 0.5,
        speed_from_center = 0.01
      },
      branch_generation =
      {
        type = "create-particle",
        entity_name = "branch-particle",
        offset_deviation = {{-0.35, -0.35}, {0.35, 0.35}},
        initial_height = 1,
        initial_height_deviation = 1,
        speed_from_center = 0.01,
        frame_speed = 0.1,
        repeat_count = 5
      }
      }
    },
    colors =
    {
      {r = 81, g = 126, b = 85},
      {r = 81, g = 166, b = 89},
      {r = 101, g = 191, b = 110},
      {r = 147, g = 192, b = 39},
      {r = 162, g = 222, b = 19},
      {r = 201, g = 236, b = 116},
      {r = 179, g = 199, b = 12},
      {r = 181, g = 189, b = 114},
      {r = 179, g = 199, b = 12},
      {r = 200, g = 214, b = 83}
    }
  },
  {
    type = "tree",
    name = "sapling-maturing",
    icon = "__TreeSaplings__/graphics/icon_sapling-maturing.png",
    flags = {"placeable-neutral", "placeable-off-grid", "breaths-air"},
    minable =
    {
      mining_particle = "wooden-particle",
      mining_time = 0.5,
      result = "raw-wood",
      count = 3
    },
    emissions_per_tick = -0.0003,
    subgroup = "trees",
    order = "z-Shr-saplingMod-d",
    max_health = 40,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.9, -2.2}, {0.9, 0.6}},
    drawing_box = {{-0.4, -0.6}, {0.2, 0.4}},
    subgroup = "trees",
    vehicle_impact_sound = { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    variations = 
    {
      {
        trunk =
        {
          filename = "__TreeSaplings__/graphics/saplings/trunk-sapling-maturing.png",
          width = 38,
          height = 71,
          frame_count = 4,
          shift = {0, -0.55}
        },
        leaves =
        {
          filename = "__TreeSaplings__/graphics/saplings/leaves-sapling-maturing.png",
          width = 45,
          height = 50,
          frame_count = 3,
          shift = {0, -1.00}
        },
      leaf_generation =
      {
        type = "create-particle",
        entity_name = "leaf-particle",
        offset_deviation = {{-0.35, -0.35}, {0.35, 0.35}},
        initial_height = 1,
        initial_height_deviation = 0.5,
        speed_from_center = 0.01
      },
      branch_generation =
      {
        type = "create-particle",
        entity_name = "branch-particle",
        offset_deviation = {{-0.35, -0.35}, {0.35, 0.35}},
        initial_height = 1,
        initial_height_deviation = 1,
        speed_from_center = 0.01,
        frame_speed = 0.1,
        repeat_count = 5
      }
      }
    },
    colors =
    {
      {r = 81, g = 126, b = 85},
      {r = 81, g = 166, b = 89},
      {r = 101, g = 191, b = 110},
      {r = 147, g = 192, b = 39},
      {r = 162, g = 222, b = 19},
      {r = 201, g = 236, b = 116},
      {r = 179, g = 199, b = 12},
      {r = 181, g = 189, b = 114},
      {r = 179, g = 199, b = 12},
      {r = 200, g = 214, b = 83}
    }
  }
}
)